%define xorg_ver %(pkg-config xorg-server --modversion|cut -d. -f 1-2)
Name:          xf86-video-qxl
Version:       0.1.6
Release:       1mamba
Summary:       QXL video driver for X.org
Group:         System/X11
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.x.org/wiki/
Source:        https://www.x.org/releases/individual/driver/xf86-video-qxl-%{version}.tar.xz
Patch0:        xf86-video-qxl-0.1.5-xorg-server-21.1.3.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libudev-devel
## AUTOBUILDREQ-END
BuildRequires: xorg-server-devel >= 21.1.3-1mamba
BuildRequires: xorg-proto-devel
Provides:      xorgdrvvideo
Requires:      xorg-server >= %{xorg_ver}
Requires:      xorg-server <= %{xorg_ver}.255

%description
QXL video driver for X.org.

%debug_package

%prep
%setup -q
#%patch0 -p1 -b .xorg-server-21.1.3

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
#%{_libdir}/xorg/modules/drivers/qxl_drv.la
%{_libdir}/xorg/modules/drivers/qxl_drv.so
%doc COPYING

%changelog
* Wed Jan 25 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.6-1mamba
- update to 0.1.6

* Sat Feb 19 2022 Automatic Build System <autodist@mambasoft.it> 0.1.5-3mamba
- rebuilt by autoport with build requirements: xorg-server-devel>=21.1.3-1mamba

* Sun Mar 03 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.5-2mamba
- rebuilt with xorg-server 1.20.4

* Mon Jun 11 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1.5-1mamba
- package created using the webbuild interface
